Index: /trunk/password.php
===================================================================
--- /trunk/password.php	(revision 4324)
+++ /trunk/password.php	(revision 4325)
@@ -57,5 +57,5 @@
   else if (isset($_POST['mail_address']) and !empty($_POST['mail_address']))
   {
-    $mail_address = mysql_real_escape_string($_POST['mail_address']);
+    $mail_address = pwg_db_real_escape_string($_POST['mail_address']);
     
     $query = '
@@ -75,10 +75,10 @@
     $result = pwg_query($query);
 
-    if (mysql_num_rows($result) > 0)
+    if (pwg_db_num_rows($result) > 0)
     {
       $error_on_mail = false;
       $datas = array();
       
-      while ($row = mysql_fetch_assoc($result))
+      while ($row = pwg_db_fetch_assoc($result))
       {
         $new_password = generate_key(6);
Index: /trunk/picture.php
===================================================================
--- /trunk/picture.php	(revision 4324)
+++ /trunk/picture.php	(revision 4325)
@@ -58,5 +58,5 @@
       '.%" ESCAPE "/" LIMIT 1';
   }
-  if ( ! ( $row = mysql_fetch_assoc(pwg_query($query)) ) )
+  if ( ! ( $row = pwg_db_fetch_assoc(pwg_query($query)) ) )
   {// element does not exist
     page_not_found( 'The requested image does not exist',
@@ -94,5 +94,5 @@
           ).'
   LIMIT 1';
-      if ( mysql_num_rows( pwg_query($query) ) == 0 )
+      if ( pwg_db_num_rows( pwg_query($query) ) == 0 )
       {
         access_denied();
@@ -388,5 +388,5 @@
 $result = pwg_query($query);
 $related_categories = array();
-while ($row = mysql_fetch_assoc($result))
+while ($row = pwg_db_fetch_assoc($result))
 {
   array_push($related_categories, $row);
@@ -416,5 +416,5 @@
 $result = pwg_query($query);
 
-while ($row = mysql_fetch_assoc($result))
+while ($row = pwg_db_fetch_assoc($result))
 {
   if (isset($page['previous_item']) and $row['id'] == $page['previous_item'])
@@ -768,5 +768,5 @@
 ;';
   $result = pwg_query($query);
-  $row = mysql_fetch_assoc($result);
+  $row = pwg_db_fetch_assoc($result);
 
   if ($row['nb_fav'] == 0)
Index: /trunk/profile.php
===================================================================
--- /trunk/profile.php	(revision 4324)
+++ /trunk/profile.php	(revision 4325)
@@ -56,5 +56,5 @@
 ;';
     $result = pwg_query($query);
-    $default_user = mysql_fetch_assoc($result);
+    $default_user = pwg_db_fetch_assoc($result);
     $userdata = array_merge($userdata, $default_user);
   }
@@ -163,5 +163,5 @@
     WHERE '.$conf['user_fields']['id'].' = \''.$userdata['id'].'\'
   ;';
-      list($current_password) = mysql_fetch_row(pwg_query($query));
+      list($current_password) = pwg_db_fetch_row(pwg_query($query));
   
       if ($conf['pass_convert']($_POST['password']) != $current_password)
Index: /trunk/qsearch.php
===================================================================
--- /trunk/qsearch.php	(revision 4324)
+++ /trunk/qsearch.php	(revision 4325)
@@ -61,5 +61,5 @@
 ;';
   pwg_query($query);
-  $search_id = mysql_insert_id();
+  $search_id = pwg_db_insert_id();
 }
 
Index: /trunk/search.php
===================================================================
--- /trunk/search.php	(revision 4324)
+++ /trunk/search.php	(revision 4325)
@@ -137,5 +137,5 @@
     pwg_query($query);
 
-    $search_id = mysql_insert_id();
+    $search_id = pwg_db_insert_id();
   }
   else
Index: /trunk/search_rules.php
===================================================================
--- /trunk/search_rules.php	(revision 4324)
+++ /trunk/search_rules.php	(revision 4325)
@@ -136,5 +136,5 @@
   if (!empty($result))
   {
-    while ($row = mysql_fetch_assoc($result))
+    while ($row = pwg_db_fetch_assoc($result))
     {
       array_push($categories, $row);
Index: /trunk/upgrade.php
===================================================================
--- /trunk/upgrade.php	(revision 4324)
+++ /trunk/upgrade.php	(revision 4325)
@@ -44,4 +44,5 @@
 include(PHPWG_ROOT_PATH . 'include/config_default.inc.php');
 @include(PHPWG_ROOT_PATH. 'include/config_local.inc.php');
+include(PHPWG_ROOT_PATH .'include/dblayer/functions_mysql.inc.php');
 
 prepare_conf_upgrade();
@@ -51,11 +52,9 @@
 
 // Database connection
-mysql_connect( $conf['db_host'], $conf['db_user'], $conf['db_password'] ) or die ( "Could not connect to database server" );
-mysql_select_db( $conf['db_base'] ) or die ( "Could not connect to database" );
-if ( version_compare(mysql_get_server_info(), '4.1.0', '>=')
-    and defined('DB_CHARSET') and DB_CHARSET!='' )
-{
-  pwg_query('SET NAMES "'.DB_CHARSET.'"');
-}
+$pwg_db_link = pwg_db_connect($conf['db_host'], $conf['db_user'], 
+			      $conf['db_password'], $conf['db_base']) 
+  or my_error('pwg_db_connect', true);
+
+pwg_db_check_charset();
 
 // +-----------------------------------------------------------------------+
@@ -77,5 +76,5 @@
   $result = pwg_query($query);
 
-  while ($row = mysql_fetch_row($result))
+  while ($row = pwg_db_fetch_row($result))
   {
     if (preg_match('/^'.PREFIX_TABLE.'/', $row[0]))
@@ -106,5 +105,5 @@
     $columns_of[$table] = array();
 
-    while ($row = mysql_fetch_row($result))
+    while ($row = pwg_db_fetch_row($result))
     {
       array_push($columns_of[$table], $row[0]);
Index: /trunk/upgrade_feed.php
===================================================================
--- /trunk/upgrade_feed.php	(revision 4324)
+++ /trunk/upgrade_feed.php	(revision 4325)
@@ -36,4 +36,5 @@
 include(PHPWG_ROOT_PATH . 'include/config_default.inc.php');
 @include(PHPWG_ROOT_PATH. 'include/config_local.inc.php');
+include(PHPWG_ROOT_PATH .'include/dblayer/functions_mysql.inc.php');
 
 // +-----------------------------------------------------------------------+
@@ -55,12 +56,9 @@
 // +-----------------------------------------------------------------------+
 
-mysql_connect($conf['db_host'], $conf['db_user'], $conf['db_password']) or die("Could not connect to database server");
-mysql_select_db($conf['db_base']) or die("Could not connect to database");
-if ( version_compare(mysql_get_server_info(), '4.1.0', '>=')
-    and defined('DB_CHARSET') and DB_CHARSET!='' )
-{
-  pwg_query('SET NAMES "'.DB_CHARSET.'"');
-}
+$pwg_db_link = pwg_db_connect($conf['db_host'], $conf['db_user'], 
+			      $conf['db_password'], $conf['db_base']) 
+  or my_error('pwg_db_connect', true);
 
+pwg_db_check_charset();
 
 // +-----------------------------------------------------------------------+
Index: /trunk/upload.php
===================================================================
--- /trunk/upload.php	(revision 4324)
+++ /trunk/upload.php	(revision 4325)
@@ -249,5 +249,5 @@
     $query.= ';';
     pwg_query( $query );
-    $page['waiting_id'] = mysql_insert_id();
+    $page['waiting_id'] = pwg_db_insert_id();
 
     if ($conf['email_admin_on_picture_uploaded'])
@@ -289,5 +289,5 @@
   $query.= ';';
   $result= pwg_query( $query );
-  $row = mysql_fetch_assoc( $result );
+  $row = pwg_db_fetch_assoc( $result );
   $file = substr ( $row['file'], 0, strrpos ( $row['file'], ".") );
   $extension = get_extension( $_FILES['picture']['name'] );
